picard.analysis

## Class MeanQualityByCycle

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.SinglePassSamProgram
    - - picard.analysis.MeanQualityByCycle

-     public class MeanQualityByCycle
      extends SinglePassSamProgram

  Program to generate a data table and chart of mean quality by cycle from a BAM file. Works best on a single lane/run of data, but can be applied to merged BAMs - the output may just be a little confusing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `ALIGNED_READS_ONLY`
    `File` | `CHART_OUTPUT`
    `boolean` | `PF_READS_ONLY`

    - ### Fields inherited from class picard.analysis.SinglePassSamProgram

      `ASSUME_SORTED, INPUT, OUTPUT, STOP_AFTER`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeanQualityByCycle()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `acceptRead(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence ref)` Should be implemented by subclasses to accept SAMRecords one at a time.
    `protected void` | `finish()` Should be implemented by subclasses to do one-time finalization work.
    `static void` | `main(String[] args)` Required main method.
    `protected void` | `setup(htsjdk.samtools.SAMFileHeader header, File samFile)` Should be implemented by subclasses to do one-time initialization work.

    - ### Methods inherited from class picard.analysis.SinglePassSamProgram

      `doWork, makeItSo, usesNoRefReads`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHART_OUTPUT

          @Option(shortName="CHART",
                  doc="A file (with .pdf extension) to write the chart to.")
          public File CHART_OUTPUT

    - #### ALIGNED_READS_ONLY

          @Option(doc="If set to true, calculate mean quality over aligned reads only.")
          public boolean ALIGNED_READS_ONLY

    - #### PF_READS_ONLY

          @Option(doc="If set to true calculate mean quality over PF reads only.")
          public boolean PF_READS_ONLY

  - ### Constructor Detail

    - #### MeanQualityByCycle

          public MeanQualityByCycle()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Required main method.

    - #### setup

          protected void setup(htsjdk.samtools.SAMFileHeader header,
                               File samFile)

      Description copied from class: `SinglePassSamProgram`
      Should be implemented by subclasses to do one-time initialization work.
      Specified by:
        `setup` in class `SinglePassSamProgram`

    - #### acceptRead

          protected void acceptRead(htsjdk.samtools.SAMRecord rec,
                                    htsjdk.samtools.reference.ReferenceSequence ref)

      Description copied from class: `SinglePassSamProgram`
      Should be implemented by subclasses to accept SAMRecords one at a time. If the read has a reference sequence and a reference sequence file was supplied to the program it will be passed as 'ref'. Otherwise 'ref' may be null.
      Specified by:
        `acceptRead` in class `SinglePassSamProgram`

    - #### finish

          protected void finish()

      Description copied from class: `SinglePassSamProgram`
      Should be implemented by subclasses to do one-time finalization work.
      Specified by:
        `finish` in class `SinglePassSamProgram`